[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPObjectList.Insert

Insert a new object in the list

## Declaration

Source position: contnrs.pp line 55

`public procedure TFPObjectList.Insert(`
`Index: Integer;`
`AObject: TObject`
`);`

## Arguments

`Index` |  | Position Index to insert the object in
`AObject` |  | Object to insert in the list

## Description

Insert inserts AObject at position Index in the list. All elements in the list after this position are shifted. The index is zero based, i.e. an insert at position 0 will insert an object at the first position of the list.

## Errors

None.

## See also

TFPObjectList.Add |  | Add an object to the list.
TFPObjectList.Delete |  | Delete an element from the list.